"{ Package: 'stx:libtool/smallsense' }"

SmallSenseType subclass:#SmallSenseClassType
	instanceVariableNames:'klass'
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Types'
!


!SmallSenseClassType methodsFor:'accessing'!

klass
    ^ klass
!

klass:aClass
    klass := aClass.
! !

!SmallSenseClassType methodsFor:'comparing'!

= another

    ^self class == another class 
        and:[klass == another klass]

    "Modified: / 16-12-2011 / 13:38:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

hash

    ^ klass hash

    "Modified: / 16-12-2011 / 13:38:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseClassType methodsFor:'enumerating'!

classesDo:aBlock
    "Enumerate all classes that this type represents"

    ^ aBlock value: klass

    "Modified: / 16-12-2011 / 13:33:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseClassType methodsFor:'operations'!

classSide
    "superclass SmallSenseType says that I am responsible to implement this method"

    ^ self class new klass: klass class

    "Modified: / 16-12-2011 / 13:21:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

instanceSide
    "superclass SmallSenseType says that I am responsible to implement this method"

    ^ self class new klass: klass theNonMetaclass

    "Modified: / 16-12-2011 / 13:23:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseClassType methodsFor:'printing & storing'!

printWithoutAnglesOn:aStream
    "superclass SmallSenseType says that I am responsible to implement this method"

    klass printOn: aStream

    "Modified: / 16-12-2011 / 01:54:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseClassType methodsFor:'testing'!

isClassType

    ^true

    "Created: / 16-12-2011 / 02:00:59 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!SmallSenseClassType class methodsFor:'documentation'!

version_SVN
    ^ '$Id: SmallSenseClassType.st 7841 2011-12-16 12:43:56Z vranyj1 $'
! !
